%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           python-tripleoclient
Version:        5.4.0
Release:        2%{?dist}
Provides:        python2-tripleoclient = %{version}-%{release}
Summary:        OpenstackClient plugin for tripleoclient

License:        ASL 2.0
URL:            https://pypi.python.org/pypi/python-tripleoclient
Source0:        https://tarballs.openstack.org/python-tripleoclient/python-tripleoclient-%{upstream_version}.tar.gz

#
#patches_base=+1
#
Patch0001: 0001-Change-wording-of-help-for-update-plan-only.patch
Patch0002: 0002-Reset-the-parameter_defaults-between-deployments-via.patch
Patch0003: 0003-Client-does-not-need-to-generate-the-CephClusterFSID.patch

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-pbr
BuildRequires:  python-setuptools
# testing requirements
BuildRequires:  python-fixtures
BuildRequires:  python-mock
BuildRequires:  python-testrepository
BuildRequires:  python-testtools
BuildRequires:  python-cliff
BuildRequires:  python-ironicclient
BuildRequires:  python-ironic-inspector-client
BuildRequires:  python-heatclient
BuildRequires:  python-mistralclient
BuildRequires:  python-openstackclient
BuildRequires:  os-cloud-config
BuildRequires:  python-websocket-client
BuildRequires:  PyYAML
BuildRequires:  python-passlib
BuildRequires:  openstack-tripleo-common
BuildRequires:  python-osc-lib-tests
BuildRequires:  python-requests-mock
BuildRequires:  git

Requires:       instack
Requires:       instack-undercloud
Requires:       python-cliff
Requires:       python-ironic-inspector-client
Requires:       python-ironicclient
Requires:       python-heatclient
Requires:       python-mistralclient
Requires:       python-openstackclient
Requires:       python-osc-lib >= 0.3.0
Requires:       os-cloud-config
Requires:       python-websocket-client
Requires:       python-passlib
Requires:       python-six
Requires:       sos
Requires:       openstack-tripleo-common

Obsoletes: python-rdomanager-oscplugin < 0.0.11
Provides: python-rdomanager-oscplugin = %{version}-%{release}

%description
python-tripleoclient is a Python plugin to OpenstackClient
for TripleO <https://github.com/openstack/python-tripleoclient>.


%prep
%autosetup -n %{name}-%{upstream_version} -S git
sed -i '/setup_requires/d; /install_requires/d; /dependency_links/d' setup.py

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
rm -rf {test-,}requirements.txt

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%check
PYTHONPATH=. %{__python2} setup.py testr

%files
%{python2_sitelib}/tripleoclient*
%{python2_sitelib}/python_tripleoclient*
%doc LICENSE README.rst

%changelog
* Mon Nov 28 2016 Jason Joyce <jjoyce@redhat.com> 5.4.0-2
- Client does not need to generate the CephClusterFSID anymore

* Thu Nov 17 2016 Jon Schlueter <jschluet@redhat.com> 5.4.0-1
- Update to 5.4.0
- Reset the parameter_defaults between deployments via the CLI

* Wed Nov 09 2016 Jon Schlueter <jschluet@redhat.com> 5.3.0-7
- Mock yaml.safe_load safely
- Add a flag to allow the plan to be updated without deploying
- Don't assume CountDefault set in roles_data.yaml (rhbz#1392828)
- Do not try to "provide" updated nodes not in "manageable" state (rhbz#1387246)

* Wed Nov 09 2016 Jon Schlueter <jschluet@redhat.com> 5.3.0-6
- Fix handling of missing environment files (rhbz#1392253)
- Pass clients to get the get_password function (rhbz#1391528)

* Mon Nov 07 2016 Jon Schlueter <jschluet@redhat.com> 5.3.0-5
- Fix nodes count check on stack-update with custom roles
- Updated from global requirements
- Use workflow for overcloud node delete

* Tue Nov 01 2016 Jon Schlueter <jschluet@redhat.com> 5.3.0-4
- Remove heat_stack_user from the deployer input

* Fri Oct 28 2016 Jon Schlueter <jschluet@redhat.com> 5.3.0-3
- Use Password Generation provided by the Mistral workflows

* Mon Oct 24 2016 Jon Schlueter <jschluet@redhat.com> 5.3.0-2
- Allow overriding CLI parameter defaults with env files

* Tue Oct 18 2016 Alfredo Moralejo <amoralej@redhat.com> 5.3.0-1
- Update to 5.3.0

* Thu Oct 6 2016 Alfredo Moralejo <amoralej@redhat.com> 5.2.1-0.1.34590ccgit
- Updated to post 5.2.0 (34590cc25b28581d964c68e459bd3a01b2cce4ec)

* Fri Sep 30 2016 Haikel Guemar <hguemar@fedoraproject.org> 5.2.0-1
- Update to 5.2.0

* Tue Sep 13 2016 Haikel Guemar <hguemar@fedoraproject.org> 5.0.0-1
- Update to 5.0.0

